<?php
session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];

require_once "nusoap/lib/nusoap.php";
include '../conexion/conn.php';

$ca_cajas_fotos_nuevas="INSERT INTO `cal_cajas_fotos` (`id_foto`, `caja_id`, `pi_folio`, `num_foto_caja`, `nombre_foto`, `defecto1_foto`, `link`, `cliente_id`, `sincro`) VALUES";
$rs3 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE sincro='N'");
$i=0;
while($row3 = mysql_fetch_array($rs3)){
	if($i==0){
		$ca_cajas_fotos_nuevas.="('".$row3['id_foto']."', '".$row3['caja_id']."', '".$row3['pi_folio']."', '".$row3['num_foto_caja']."', '".$row3['nombre_foto']."', '".$row3['defecto1_foto']."', '".$row3['link']."', '".$row3['cliente_id']."', 'S')";
	}else{
		$ca_cajas_fotos_nuevas.=", ('".$row3['id_foto']."', '".$row3['caja_id']."', '".$row3['pi_folio']."', '".$row3['num_foto_caja']."', '".$row3['nombre_foto']."', '".$row3['defecto1_foto']."', '".$row3['link']."', '".$row3['cliente_id']."', 'S')";
	}
	$i++;
    
}
$ca_cajas_fotos_nuevas.=";";
$rs3 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE sincro='N'");
if($row3 = mysql_fetch_array($rs3)){
	
}else{
	$ca_cajas_fotos_nuevas="";
}

$ca_cajas_fotos_editar="INSERT INTO `cal_cajas_fotos` (`id_foto`, `caja_id`, `pi_folio`, `num_foto_caja`, `nombre_foto`, `defecto1_foto`, `link`, `cliente_id`, `sincro`) VALUES";
$cal_cajas_editar_borrar="DELETE FROM `cal_cajas_fotos`";
$rs3 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE sincro='E'");
$i=0;
while($row3 = mysql_fetch_array($rs3)){
	if($i==0){
		$cal_cajas_editar_borrar.=" WHERE id_foto='".$row3['id_foto']."'";
		$ca_cajas_fotos_editar.="('".$row3['id_foto']."', '".$row3['caja_id']."', '".$row3['pi_folio']."', '".$row3['num_foto_caja']."', '".$row3['nombre_foto']."', '".$row3['defecto1_foto']."', '".$row3['link']."', '".$row3['cliente_id']."', 'S')";
	}else{
		$cal_cajas_editar_borrar.=" OR id_foto='".$row3['id_foto']."'";
		$ca_cajas_fotos_editar.=", ('".$row3['id_foto']."', '".$row3['caja_id']."', '".$row3['pi_folio']."', '".$row3['num_foto_caja']."', '".$row3['nombre_foto']."', '".$row3['defecto1_foto']."', '".$row3['link']."', '".$row3['cliente_id']."', 'S')";
	}
	$i++;
    
}
$ca_cajas_fotos_editar.=";";
$cal_cajas_editar_borrar.=";";
$rs3 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE sincro='E'");
if($row3 = mysql_fetch_array($rs3)){
	
}else{
	$ca_cajas_fotos_editar="";
	$cal_cajas_editar_borrar="";
}


$rs3 = mysql_query("SELECT * FROM sys_detalle_cliente_programas WHERE cliente_id='RB' AND programa_id='1'");
while($row3 = mysql_fetch_array($rs3)){
	$link_sincro_fotos=$row3['link_sincro_fotos'];
}

$fotos_nuevas=array();
$fotos_nuevas_editar=array();
$fotos_nuevas_enviar=array();
$cliente_web = new nusoap_client($link_sincro_fotos);
//echo $cliente_web;


//INSERTAR PLANILLAS
		$fotos_nuevas=$cliente_web->call("guardar_cal_cajas_fotos" , array("ca_cajas_fotos_nuevas"=>$ca_cajas_fotos_nuevas));	
		
		//echo $planilla_nuevas."<br/>";	//debuelve id_fotos
				

if($fotos_nuevas=="bien"){
			$sql = "UPDATE cal_cajas_fotos SET  
			sincro='S'
			WHERE sincro='N'";
			$result = @mysql_query($sql);
			if ($result){
				echo $fotos_nuevas;
			} else {
				echo "Se Han Producido Errores";
			}	
}else{

}

//EDITAR PLANILLAS
$fotos_nuevas_editar=$cliente_web->call("editar_cal_cajas_fotos" , array("ca_cajas_fotos_editar"=>$ca_cajas_fotos_editar, "cal_cajas_editar_borrar"=>$cal_cajas_editar_borrar));	
		
		//echo $planilla_nuevas."<br/>";	//debuelve id_fotos
				

if($fotos_nuevas_editar=="bien"){
			$sql = "UPDATE cal_cajas_fotos SET  
			sincro='S'
			WHERE sincro='E'";
			$result = @mysql_query($sql);
			if ($result){
				echo $fotos_nuevas_editar;
			} else {
				echo "Se Han Producido Errores";
			}	
}else{

}


//ENVIAR FOTOS
$rs = mysql_query("SELECT * FROM cal_fotos where sincro='N'");
	while($row = mysql_fetch_array($rs)){
		//echo $row['pi_folio'];
		$fotos_nuevas_enviar=$cliente_web->call("guardar_fotos_base" , array("id_fotos"=>$row['id_fotos'], "content"=>$row['content'], "cliente_id"=>$row['cliente_id'], "name"=>$row['name']));	
		
		//echo $planillas;	//debuelve id_fotos
				
		$sql = "UPDATE cal_fotos SET  
		sincro='S'
		WHERE id_fotos='".$fotos_nuevas_enviar."'";
		$result = @mysql_query($sql);
		if ($result){
			echo $row['name']."Fotos Subida<br/>";
		} else {
			echo "Se Han Producido Errores";
		}	
	}

?>